Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface PartialMarkupRendererFilter

All Known Implementing Classes:
  RenderCommandComponentEventResultProcessor, SingleZonePartialRendererFilter

    public interface PartialMarkupRendererFilter

A filter (the main interface being `PartialMarkupRenderer`) applied when performing a partial page render as part of an Ajax-oriented request. This is similar to `MarkupRendererFilter` and filters are often in place so as to contribute `Environmental` services to the pages and components that render.

See Also:
  `TapestryModule.contributePartialMarkupRenderer(org.apache.tapestry5.ioc.OrderedConfiguration, org.apache.tapestry5.services.ValidationDecoratorFactory, org.apache.tapestry5.services.javascript.JavaScriptStackSource, org.apache.tapestry5.internal.services.javascript.JavaScriptStackPathConstructor, org.apache.tapestry5.ioc.services.SymbolSource, org.apache.tapestry5.services.AssetSource)`

Method Summary
`void` | `renderMarkup(MarkupWriter writer, JSONObject reply, PartialMarkupRenderer renderer)` Implementations should perform work before or after passing the writer to the renderer.

Method Detail

### renderMarkup

    void renderMarkup(MarkupWriter writer,
                      JSONObject reply,
                      PartialMarkupRenderer renderer)

  Implementations should perform work before or after passing the writer to the renderer.

  Parameters:
    `writer` - to which markup should be written
    `reply` - JSONObject which will contain the partial response
    `renderer` - delegate to which the writer should be passed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.